package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.MessageAttachment;
import com.tzld.piaoquan.growth.common.model.po.MessageAttachmentExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface MessageAttachmentMapper {
    long countByExample(MessageAttachmentExample example);

    int deleteByExample(MessageAttachmentExample example);

    int deleteByPrimaryKey(Long id);

    int insert(MessageAttachment record);

    int insertSelective(MessageAttachment record);

    List<MessageAttachment> selectByExample(MessageAttachmentExample example);

    MessageAttachment selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") MessageAttachment record, @Param("example") MessageAttachmentExample example);

    int updateByExample(@Param("record") MessageAttachment record, @Param("example") MessageAttachmentExample example);

    int updateByPrimaryKeySelective(MessageAttachment record);

    int updateByPrimaryKey(MessageAttachment record);
}